SDL_Sensor Struct Reference

`#include <SDL_syssensor.h>`

Collaboration diagram for SDL_Sensor:
[legend]

## Data Fields

SDL_SensorID | instance_id
char * | name
SDL_SensorType | type
int | non_portable_type
float | data [16]
struct _SDL_SensorDriver * | driver
struct sensor_hwdata * | hwdata
int | ref_count
struct _SDL_Sensor * | next

## Detailed Description

Definition at line 33 of file SDL_syssensor.h.

## Field Documentation

## data

float SDL_Sensor::data[16]

Definition at line 40 of file SDL_syssensor.h.

## driver

struct _SDL_SensorDriver* SDL_Sensor::driver

Definition at line 42 of file SDL_syssensor.h.

## hwdata

struct sensor_hwdata* SDL_Sensor::hwdata

Definition at line 44 of file SDL_syssensor.h.

## instance_id

SDL_SensorID SDL_Sensor::instance_id

Definition at line 35 of file SDL_syssensor.h.

## name

char* SDL_Sensor::name

Definition at line 36 of file SDL_syssensor.h.

## next

struct _SDL_Sensor* SDL_Sensor::next

Definition at line 48 of file SDL_syssensor.h.

## non_portable_type

int SDL_Sensor::non_portable_type

Definition at line 38 of file SDL_syssensor.h.

## ref_count

int SDL_Sensor::ref_count

Definition at line 46 of file SDL_syssensor.h.

## type

SDL_SensorType SDL_Sensor::type

Definition at line 37 of file SDL_syssensor.h.

The documentation for this struct was generated from the following file:

- src/sensor/SDL_syssensor.h